Codevisor Docs
Api reference

Run a gateway tool call from another machine's sandbox

POST/v1/gateway/invoke

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string
args?unknown|null
origin*

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/gateway/invoke" \  -H "Content-Type: application/json" \  -d '{    "path": "string",    "origin": {      "machineId": "string",      "machineName": "string"    }  }'
{  "result": null}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}